View Issue Details

IDProjectCategoryView StatusLast Update
0001515SUMoBugpublic2012-05-17 10:55
ReporterGiacomoGoAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.3 
Target VersionFixed in Version3.1.0 
Summary0001515: continual redundant process activity
DescriptionSUMo 3.0.3 performs some registry, file system, and network operations continually and redundantly (ie, unnecessarily). Unless there's a justifiable reason, I consider this excessive activity unintentional and therefore a bug.
Steps To Reproducemonitor SUMo activity via:
http://technet.microsoft.com/en-us/sysinternals/bb896645

Isolate SUMo activity, and further isolate (separately) registry, file system and network activity.
TagsNo tags attached.

Activities

Kyle_Katarn

2012-03-31 14:44

administrator   ~0000747

Last edited: 2012-03-31 14:44

View 2 revisions

Would you please be more specific ?
Appart from "server check" (network) and "system change dectection" (registry) no redundant activity is performed

Kyle_Katarn

2012-04-08 22:32

administrator   ~0000754

up...

GiacomoGo

2012-04-09 09:32

reporter   ~0000756

Mainly the registry activity constantly querying and setting window size/location seems excessive. Process profiling every second, as well. I've isolated other common apps using the same approach, and don't see the same activity.

Again, if you see nothing wrong, fine by me.

Kyle_Katarn

2012-04-09 12:17

administrator   ~0000758

Will be improved

Issue History

Date Modified Username Field Change
2012-03-31 11:04 GiacomoGo New Issue
2012-03-31 14:44 Kyle_Katarn Note Added: 0000747
2012-03-31 14:44 Kyle_Katarn Assigned To => Kyle_Katarn
2012-03-31 14:44 Kyle_Katarn Status new => acknowledged
2012-03-31 14:44 Kyle_Katarn Note Edited: 0000747 View Revisions
2012-03-31 14:44 Kyle_Katarn Status acknowledged => feedback
2012-04-08 22:32 Kyle_Katarn Note Added: 0000754
2012-04-09 09:32 GiacomoGo Note Added: 0000756
2012-04-09 09:32 GiacomoGo Status feedback => assigned
2012-04-09 12:17 Kyle_Katarn Note Added: 0000758
2012-05-17 10:55 Kyle_Katarn Status assigned => resolved
2012-05-17 10:55 Kyle_Katarn Fixed in Version => 3.1.0
2012-05-17 10:55 Kyle_Katarn Resolution open => fixed